> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Убрать водяной знак

> **Удалите водяные знаки из видео Sora и конвертируйте в видео без водяного знака**



## OpenAPI

````yaml openapi/ru/sora.json POST /sora/no-watermark
openapi: 3.1.0
info:
  title: Документация Sora API
  version: 1.0.0
  description: TTAPI Sora API сервис
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /sora/no-watermark:
    post:
      description: >-
        **Удалите водяные знаки из видео Sora и конвертируйте в видео без
        водяного знака**
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/noWatermarkRequest'
      responses:
        '200':
          $ref: '#/components/responses/SuccessResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    noWatermarkRequest:
      type: object
      properties:
        url:
          type: string
          description: Видео URL для удаления водяного знака
        hookUrl:
          type: string
          description: >-
            Уведомление об обратном вызове URL. Когда задача будет завершена или
            не выполнена, этот URL будет уведомлен. <a href="fetch"
            target="_self">Структура данных уведомления</a> соответствует
            структуре выборки. Если не установлено, вам необходимо запросить
            интерфейс <a href="fetch" target="_self">получение результата</a>
            для запроса.
      required:
        - url
  responses:
    SuccessResponse:
      description: Запрос выполнен успешно
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: SUCCESS
              message:
                type: string
                example: success
              data:
                type: object
                example:
                  jobId: jobId
            required:
              - status
              - message
              - data
    400Response:
      description: Ошибка параметров
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Ошибка авторизации
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Вы можете получить API-ключ в <a href='https://dashboard.ttapi.io'
        target='_blank'>панель управления TTAPI</a>.

````